package kvstore

/*
Copyright (c) 2022, John David Lee
All rights reserved.

This source code is licensed under the BSD-style license found in the
LICENSE file in the root directory of this source tree.
*/

import "sync"

type modJob struct {
	Collection string
	ID         uint64
	Store      bool
	Data       []byte
	Ready      *sync.WaitGroup
}

type record struct {
	SeqNum     uint64
	Collection string
	ID         uint64
	Store      bool
	Data       []byte
}
