package mdb

/*
Copyright (c) 2022, John David Lee
All rights reserved.

This source code is licensed under the BSD-style license found in the
LICENSE file in the root directory of this source tree.
*/

import "errors"

var (
	ErrMismatchedIDs = errors.New("MismatchedIDs")
	ErrDuplicate     = errors.New("Duplicate")
	ErrNotFound      = errors.New("NotFound")
	ErrReadOnly      = errors.New("ReadOnly")

	// Return in update function to abort changes.
	ErrAbortUpdate = errors.New("AbortUpdate")
)
