package kvstore

/*
Copyright (c) 2022, John David Lee
All rights reserved.

This source code is licensed under the BSD-style license found in the
LICENSE file in the root directory of this source tree.
*/

import (
	"path/filepath"
)

func must(err error) {
	if err != nil {
		panic(err)
	}
}

func dbPath(dir string) string {
	return filepath.Join(dir, "db")
}
